makeacol32(3)

NAME
makeacol32

SYNOPSIS
#include <allegro.h>

int makeacol32(int r, int g, int b, int a);

DESCRIPTION
Converts an RGBA color into a 32 bit display pixel format, which includes an alpha (transparency) value. There are no versions of this routine for other color depths, because only the 32 bit format has enough room to store a proper alpha channel. You should only use RGBA format colors as the input to draw_trans_sprite() or draw_trans_rle_sprite() after calling set_alpha_blender(), rather than drawing them directly to the screen.

SEE ALSO
makeacol(3), set_alpha_blender(3), set_write_alpha_blender(3)